Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.naming
Class MemoryContext

    java.lang.Object
      |
      +--com.caucho.naming.AbstractContext
            |
            +--com.caucho.naming.MemoryContext

All Implemented Interfaces:
  javax.naming.Context

public class MemoryContext
extends AbstractContext

Field Summary
`protected java.lang.String` | `path`
`protected MemoryContext` | `root`

Fields inherited from class com.caucho.naming.AbstractContext
`dbg, env, L`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`MemoryContext()`
`MemoryContext(java.util.Hashtable env)`
`MemoryContext(MemoryContext root, java.lang.String path)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `close()`
`java.lang.String` | `composeName(java.lang.String prefix, java.lang.String suffix)`
`MemoryContext` | `copy()` This is a deep copy.
`javax.naming.Context` | `createSingleSubcontext(java.lang.String name)`
`void` | `destroySingleSubcontext(java.lang.String name)`
`protected java.lang.String` | `getFullPath(java.lang.String name)` Returns the full name for the context.
`java.lang.String` | `getNameInNamespace()`
`char` | `getSeparator()`
`java.util.Iterator` | `listSingle()`
`java.lang.Object` | `lookupSingle(java.lang.String name)` Returns the object stored in the hash map.
`protected java.lang.String` | `parseFirst(java.lang.String name)`
`protected java.lang.String` | `parseRest(java.lang.String name)`
`void` | `rebindSingle(java.lang.String name, java.lang.Object obj)`
`void` | `setSeparator(char sep)`
`java.lang.String` | `toString()`
`void` | `unbindSingle(java.lang.String name)`

Methods inherited from class com.caucho.naming.AbstractContext
`addToEnvironment, bind, bind, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### root

    protected MemoryContext root

### path

    protected java.lang.String path

Constructor Detail

### MemoryContext

    public MemoryContext()

### MemoryContext

    public MemoryContext(MemoryContext root,
                         java.lang.String path)

### MemoryContext

    public MemoryContext(java.util.Hashtable env)

Method Detail

### setSeparator

    public void setSeparator(char sep)

### getSeparator

    public char getSeparator()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### copy

    public MemoryContext copy()

  This is a deep copy.
  Returns:
    a copy of the context

### lookupSingle

    public java.lang.Object lookupSingle(java.lang.String name)
                                  throws javax.naming.NamingException

  Returns the object stored in the hash map.
  Overrides:
    `lookupSingle` in class `AbstractContext`
  Parameters:
    `name` - the name segment.
  Returns:
    the object stored in the map.

### rebindSingle

    public void rebindSingle(java.lang.String name,
                             java.lang.Object obj)
                      throws javax.naming.NamingException

  Overrides:
    `rebindSingle` in class `AbstractContext`

### unbindSingle

    public void unbindSingle(java.lang.String name)
                      throws javax.naming.NamingException

  Overrides:
    `unbindSingle` in class `AbstractContext`

### destroySingleSubcontext

    public void destroySingleSubcontext(java.lang.String name)
                                 throws javax.naming.NamingException

  Overrides:
    `destroySingleSubcontext` in class `AbstractContext`

### listSingle

    public java.util.Iterator listSingle()

  Overrides:
    `listSingle` in class `AbstractContext`

### createSingleSubcontext

    public javax.naming.Context createSingleSubcontext(java.lang.String name)
                                                throws javax.naming.NamingException

  Overrides:
    `createSingleSubcontext` in class `AbstractContext`

### composeName

    public java.lang.String composeName(java.lang.String prefix,
                                        java.lang.String suffix)
                                 throws javax.naming.NamingException

  Overrides:
    `composeName` in class `AbstractContext`

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Overrides:
    `getNameInNamespace` in class `AbstractContext`

### close

    public void close()
               throws javax.naming.NamingException

  Overrides:
    `close` in class `AbstractContext`

### parseFirst

    protected java.lang.String parseFirst(java.lang.String name)
                                   throws javax.naming.NamingException

  Overrides:
    `parseFirst` in class `AbstractContext`

### parseRest

    protected java.lang.String parseRest(java.lang.String name)
                                  throws javax.naming.NamingException

  Overrides:
    `parseRest` in class `AbstractContext`

### getFullPath

    protected java.lang.String getFullPath(java.lang.String name)

  Description copied from class: `AbstractContext`
  Returns the full name for the context.
  Overrides:
    `getFullPath` in class `AbstractContext`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD